VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Enumerations
note_expression_synth_controller.h File Reference
`#include "public.sdk/source/vst/vsteditcontroller.h"`
`#include "public.sdk/source/vst/vstnoteexpressiontypes.h"`
`#include "pluginterfaces/vst/ivstmidicontrollers.h"`
`#include "pluginterfaces/vst/ivstmidilearn.h"`
`#include "pluginterfaces/vst/ivstnoteexpression.h"`
`#include "pluginterfaces/vst/ivstphysicalui.h"`
`#include <array>`
`#include <limits>`

## Classes
class | Controller
| Example Note Expression Edit Controller. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::NoteExpressionSynth

## Macros
#define | MAX_VOICES 64
#define | MAX_RELEASE_TIME_SEC 5.0
#define | NUM_FILTER_TYPE 3
#define | NUM_TUNING_RANGE 2

## Enumerations
enum | { kParamReleaseTime , kParamNoiseVolume , kParamSinusVolume , kParamTriangleVolume , kParamSinusDetune , kParamBypassSNA , kParamTriangleSlop , kParamFilterType , kParamFilterFreq , kParamFilterQ , kParamMasterVolume , kParamMasterTuning , kParamVelToLevel , kParamFilterFreqModDepth , kParamTuningRange , kParamActiveVoices , kParamSquareVolume , kNumGlobalParameters }

## Macro Definition Documentation

## ◆ MAX_VOICES

#define MAX_VOICES 64

## ◆ MAX_RELEASE_TIME_SEC

#define MAX_RELEASE_TIME_SEC 5.0

## ◆ NUM_FILTER_TYPE

#define NUM_FILTER_TYPE 3

## ◆ NUM_TUNING_RANGE

#define NUM_TUNING_RANGE 2

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.